Bug 1463422 - The 'Assigned Filters' setting in the Settings->Access Control->Groups->[group name] only applies to 'Hosts & Clusters', and not the Network providers.
The 'Assigned Filters' setting in the Settings->Access Control->Groups->[grou...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
All Linux
high Severity high
: GA
: 5.8.3
Assigned To: Libor Pichler
Ruslana Babyuk
: Reopened, ZStream
Depends On: 1445163 1533011
  Show dependency treegraph
Reported: 2017-06-20 17:04 EDT by Satoe Imaishi
Modified: 2018-02-28 08:04 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1445163
Last Closed: 2018-02-28 08:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
missing network dropdown (275.99 KB, image/png)
2017-12-18 06:52 EST, Ruslana Babyuk
no flags Details
prod.log (5.99 KB, text/plain)
2017-12-18 06:53 EST, Ruslana Babyuk
no flags Details

  None (edit)
Comment 2 CFME Bot 2017-06-21 15:01:10 EDT
New commit detected on ManageIQ/manageiq/fine:

commit 3ed4411f49ccf7d62ea5c4a912bac316a9b5b2af
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Jun 2 11:10:08 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 21 14:56:15 2017 -0400

    Merge pull request #15271 from lpichler/allow_matching_descendants_for_cloud_networks
    Allow matching via descendants for CloudNetworks (via network manager)
    (cherry picked from commit fb5983ebe5347839bbba657914e99aba5eb71eff)

 lib/rbac/filterer.rb | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
Comment 5 Ruslana Babyuk 2017-08-31 10:40:03 EDT
Discovered new cases, in which this part is not working correctly:

1. 2 cloud providers, if just one provider(or cloud storage) is selected in "Hosts&Clusters" all items(ports, subnets, ips, other) for both providers can be found under networks (the same case works for cloud storages)

2. If one network provider selected, filtering works only for the network provider, and network->networks but not the rest(subnets, ports, ..)

Any other tags were not used, only 'Host & Clusters' tab.
Comment 6 Ruslana Babyuk 2017-08-31 10:44:10 EDT
Hi Libor,

Could you check this cases?
Please let me know if they are valid and I understood the logic correctly.

Thanks Ruslana
Comment 9 CFME Bot 2017-11-13 16:31:23 EST
New commit detected on ManageIQ/manageiq/fine:

commit 88c03d39af0ffd49e3de9dce8e837218dd99e511
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue Oct 10 09:53:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 16:24:27 2017 -0500

    Merge pull request #16151 from lpichler/add_belongsto_filter_for_newtwork_model
    Add belongsto filter for other network models
    (cherry picked from commit cf2f4e7b0096844e55f9c87f14085775860deea7)

 lib/rbac/filterer.rb           |  17 +++++--
 spec/lib/rbac/filterer_spec.rb | 100 +++++++++++++++++++++++------------------
 2 files changed, 69 insertions(+), 48 deletions(-)
Comment 11 Ruslana Babyuk 2017-12-18 06:52 EST
Created attachment 1369385 [details]
missing network dropdown

Network drop-down is missing
Comment 12 Ruslana Babyuk 2017-12-18 06:53 EST
Created attachment 1369386 [details]
Comment 14 Ruslana Babyuk 2018-01-10 04:05:15 EST
Verification of this bz is blocked by 1533011
Comment 17 errata-xmlrpc 2018-02-28 08:04:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.